Subject: Re: [mpls] entropy label draft: reserved label for ELI

From: Kireeti Kompella <[email-masked]>
Date: Tue, 1 May 2012 11:19:08 -0700

Hi All,

Thanks very much for your responses!

While I'll leave the final determination to the WG chairs, my reading of the responses to both of these questions was overwhelmingly positive, i.e., allocate a reserved label for ELI, and associate ELs with tunnels.

Based on that, I'll update the draft to reflect these changes.  ETA: May 8.

Meanwhile, I hope the WG chairs chime in with their assessment of the responses.

Thanks again,
Kireeti.

On Apr 12, 2012, at 12:47 , Kireeti Kompella wrote:

> Hi All,
> 
> Following up on the presentation at IETF 83, I promised to "take this to the list".
> 
> The two questions are:
> 1) should we make the ELI a "well-known" reserved label?
> 2) should we associate the EL with tunnel labels or with application labels?
> 
> This email is to poll the list about (1).
> 
> Making the ELI a reserved label has the following benefits:
> a) Transit LSRs can hash on labels up to the ELI and one more (the EL), rather than processing all labels in the label stack.
> 
> b) Similar to (a), transit LSRs could use a Reserved ELI Label as a means of bailing out early from grabbing "deeper" fields (e.g., IP headers within Ethernet within ...) for hashing.
> 
> c) Transit LSRs, (particularly ones doing LDP/RSVP tunneling), can avoid adding another entropy-label for the RSVP tunnel *if* the transit LSR finds a reserved ELI already in the stack.  Call this a 'short circuit' rule.
> 
> d) The short circuit rule can also be used for Carrier of Carrier VPNs and other situations with label hierarchy.
> 
> e) A reserved ELI obviates the need for upstream ELI allocation for mLDP and P2MP RSVP-TE.
> 
> (Thanks to Shane for providing some of the above.)
> 
> The main drawback is the scarcity of reserved labels, which hopefully is addressed by the pixie label draft.
> 
> So, the question is: should we make the ELI a reserved label?  (If no, a short reason would be helpful.)
> 
> Kireeti.
>

---

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 2 May 2012 11:19:52 +0100

> Based on that, I'll update the draft to reflect these changes.  ETA: May 8.

2012 ?

---

From: Kireeti Kompella <[email-masked]>
Date: Wed, 9 May 2012 13:55:20 -0700

> Based on that, I'll update the draft to reflect these changes.  ETA: May 8.

Uploaded May 8, to the undying surprise of many!

Uploading again today (version -03).

The text has been updated to include the agreements made in the WG meeting and on the list:
a) using a reserved label for the ELI;
b) associating EL signaling with tunnels rather than apps.

There has been much cleanup and internal review; one other significant change (between 02 and 03) is to acknowledge that EL signaling for multicast LSPs needs more specification, and so the idea is to create a separate doc for that; the text on p2mp in draft-ietf-mpls-entropy-label has been moved to section 5.4 and simply says, watch this space!

Some other minor changes:
"Updates: 3031, 5036" in header;
added section on processing ELC optional parameter of Label Mapping message.

CHAIRS: the authors believe draft-ietf-mpls-entropy-label-03 is ready for WG LC.

Thanks,
Kireeti.

---

From: Jeff Tantsura <[email-masked]>
Date: Wed, 9 May 2012 18:30:46 -0400

Hi,

I support progressing the draft towards LC.

Regards,
Jeff

On May 9, 2012, at 13:55, "Kireeti Kompella" <[email-masked]> wrote:

> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls

---

From: Stewart Bryant <[email-masked]>
Date: Thu, 10 May 2012 12:53:24 +0100

On 13/04/2012 20:16, Kireeti Kompella wrote:
> Hi Shahram,
>
> On Apr 12, 2012, at 18:01 , Shahram Davari wrote:
>
>> Hi Kireeti,
>>
>> What is the relationship between this EL and the fat Label (RFC6391)?
> Same thing.
>
>> Can they both coexist? How many Entropy Labels can exist in a stack? How many ELI can exist in a stack?
> Yes, they can coexist.  In theoretical cases, there can be many entropy labels; each one, except the fat PW entropy label, must be preceded by an ELI.
>
To complete the sentence, .. and the Fat Label MAY be preceded by an 
ELI. The ELI has the same sematics as the signalling in the PW case.

Stewart

---

From: "Andrew G. Malis" <[email-masked]>
Date: Sat, 12 May 2012 10:04:40 -0400

+1